Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2190 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Jul 17, 2004, 12:11:20 PM (21 years ago)
Author:
bensch
Message:

orxonox/trunk: merged and copied all files from branches/chris into trunk. it all seems to be in propper order.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r2018 r2190  
    17301730case `uname` in
    17311731  *MINGW*)
    1732     mingw=yes
     1732    mingw="yes"
    17331733    MSBITFIELDS="-mms-bitfields"
     1734    MWINDOWS="-mwindows"
    17341735    ;;
    17351736  *)
    1736     mingw=no
     1737    mingw="no"
    17371738    ;;
    17381739esac
     
    49004901    fi
    49014902fi
     4903
     4904## mingw CHECK
     4905if test $mingw = yes ; then
     4906        echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
     4907echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
     4908if test "${ac_cv_lib_mingw32_main+set}" = set; then
     4909  echo $ECHO_N "(cached) $ECHO_C" >&6
     4910else
     4911  ac_check_lib_save_LIBS=$LIBS
     4912LIBS="-lmingw32  $LIBS"
     4913cat >conftest.$ac_ext <<_ACEOF
     4914/* confdefs.h.  */
     4915_ACEOF
     4916cat confdefs.h >>conftest.$ac_ext
     4917cat >>conftest.$ac_ext <<_ACEOF
     4918/* end confdefs.h.  */
     4919
     4920
     4921int
     4922main ()
     4923{
     4924main ();
     4925  ;
     4926  return 0;
     4927}
     4928_ACEOF
     4929rm -f conftest.$ac_objext conftest$ac_exeext
     4930if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4931  (eval $ac_link) 2>conftest.er1
     4932  ac_status=$?
     4933  grep -v '^ *+' conftest.er1 >conftest.err
     4934  rm -f conftest.er1
     4935  cat conftest.err >&5
     4936  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4937  (exit $ac_status); } &&
     4938         { ac_try='test -z "$ac_c_werror_flag"
     4939                         || test ! -s conftest.err'
     4940  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4941  (eval $ac_try) 2>&5
     4942  ac_status=$?
     4943  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4944  (exit $ac_status); }; } &&
     4945         { ac_try='test -s conftest$ac_exeext'
     4946  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4947  (eval $ac_try) 2>&5
     4948  ac_status=$?
     4949  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4950  (exit $ac_status); }; }; then
     4951  ac_cv_lib_mingw32_main=yes
     4952else
     4953  echo "$as_me: failed program was:" >&5
     4954sed 's/^/| /' conftest.$ac_ext >&5
     4955
     4956ac_cv_lib_mingw32_main=no
     4957fi
     4958rm -f conftest.err conftest.$ac_objext \
     4959      conftest$ac_exeext conftest.$ac_ext
     4960LIBS=$ac_check_lib_save_LIBS
     4961fi
     4962echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
     4963echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
     4964if test $ac_cv_lib_mingw32_main = yes; then
     4965  FOUND_mingw32=yes
     4966fi
     4967
     4968        if test $FOUND_mingw32 = "yes"; then
     4969                LIBS="$LIBS -lmingw32"
     4970        fi
     4971fi
     4972
     4973## SDL CHECK
     4974
     4975#checking for SDL libs
     4976
     4977for ac_header in SDL/SDL.h
     4978do
     4979as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4980if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4981  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4982echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4983if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4984  echo $ECHO_N "(cached) $ECHO_C" >&6
     4985fi
     4986echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4987echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4988else
     4989  # Is the header compilable?
     4990echo "$as_me:$LINENO: checking $ac_header usability" >&5
     4991echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     4992cat >conftest.$ac_ext <<_ACEOF
     4993/* confdefs.h.  */
     4994_ACEOF
     4995cat confdefs.h >>conftest.$ac_ext
     4996cat >>conftest.$ac_ext <<_ACEOF
     4997/* end confdefs.h.  */
     4998$ac_includes_default
     4999#include <$ac_header>
     5000_ACEOF
     5001rm -f conftest.$ac_objext
     5002if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5003  (eval $ac_compile) 2>conftest.er1
     5004  ac_status=$?
     5005  grep -v '^ *+' conftest.er1 >conftest.err
     5006  rm -f conftest.er1
     5007  cat conftest.err >&5
     5008  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5009  (exit $ac_status); } &&
     5010         { ac_try='test -z "$ac_c_werror_flag"
     5011                         || test ! -s conftest.err'
     5012  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5013  (eval $ac_try) 2>&5
     5014  ac_status=$?
     5015  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5016  (exit $ac_status); }; } &&
     5017         { ac_try='test -s conftest.$ac_objext'
     5018  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5019  (eval $ac_try) 2>&5
     5020  ac_status=$?
     5021  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5022  (exit $ac_status); }; }; then
     5023  ac_header_compiler=yes
     5024else
     5025  echo "$as_me: failed program was:" >&5
     5026sed 's/^/| /' conftest.$ac_ext >&5
     5027
     5028ac_header_compiler=no
     5029fi
     5030rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5031echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5032echo "${ECHO_T}$ac_header_compiler" >&6
     5033
     5034# Is the header present?
     5035echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5036echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5037cat >conftest.$ac_ext <<_ACEOF
     5038/* confdefs.h.  */
     5039_ACEOF
     5040cat confdefs.h >>conftest.$ac_ext
     5041cat >>conftest.$ac_ext <<_ACEOF
     5042/* end confdefs.h.  */
     5043#include <$ac_header>
     5044_ACEOF
     5045if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5046  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5047  ac_status=$?
     5048  grep -v '^ *+' conftest.er1 >conftest.err
     5049  rm -f conftest.er1
     5050  cat conftest.err >&5
     5051  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5052  (exit $ac_status); } >/dev/null; then
     5053  if test -s conftest.err; then
     5054    ac_cpp_err=$ac_c_preproc_warn_flag
     5055    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5056  else
     5057    ac_cpp_err=
     5058  fi
     5059else
     5060  ac_cpp_err=yes
     5061fi
     5062if test -z "$ac_cpp_err"; then
     5063  ac_header_preproc=yes
     5064else
     5065  echo "$as_me: failed program was:" >&5
     5066sed 's/^/| /' conftest.$ac_ext >&5
     5067
     5068  ac_header_preproc=no
     5069fi
     5070rm -f conftest.err conftest.$ac_ext
     5071echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5072echo "${ECHO_T}$ac_header_preproc" >&6
     5073
     5074# So?  What about this header?
     5075case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5076  yes:no: )
     5077    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5078echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5079    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5080echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5081    ac_header_preproc=yes
     5082    ;;
     5083  no:yes:* )
     5084    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5085echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5086    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5087echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5088    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5089echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5090    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5091echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5092    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5093echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5094    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5095echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5096    (
     5097      cat <<\_ASBOX
     5098## ------------------------------------------- ##
     5099## Report this to orxonox-dev@mail.datacore.ch ##
     5100## ------------------------------------------- ##
     5101_ASBOX
     5102    ) |
     5103      sed "s/^/$as_me: WARNING:     /" >&2
     5104    ;;
     5105esac
     5106echo "$as_me:$LINENO: checking for $ac_header" >&5
     5107echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5108if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5109  echo $ECHO_N "(cached) $ECHO_C" >&6
     5110else
     5111  eval "$as_ac_Header=\$ac_header_preproc"
     5112fi
     5113echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5114echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5115
     5116fi
     5117if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5118  cat >>confdefs.h <<_ACEOF
     5119#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5120_ACEOF
     5121
     5122else
     5123  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
     5124echo "$as_me: error: cannot find SDL headers" >&2;}
     5125   { (exit 1); exit 1; }; }
     5126fi
     5127
     5128done
     5129
     5130if test $mingw = no ; then
     5131        echo "$as_me:$LINENO: checking for main in -lSDL" >&5
     5132echo $ECHO_N "checking for main in -lSDL... $ECHO_C" >&6
     5133if test "${ac_cv_lib_SDL_main+set}" = set; then
     5134  echo $ECHO_N "(cached) $ECHO_C" >&6
     5135else
     5136  ac_check_lib_save_LIBS=$LIBS
     5137LIBS="-lSDL  $LIBS"
     5138cat >conftest.$ac_ext <<_ACEOF
     5139/* confdefs.h.  */
     5140_ACEOF
     5141cat confdefs.h >>conftest.$ac_ext
     5142cat >>conftest.$ac_ext <<_ACEOF
     5143/* end confdefs.h.  */
     5144
     5145
     5146int
     5147main ()
     5148{
     5149main ();
     5150  ;
     5151  return 0;
     5152}
     5153_ACEOF
     5154rm -f conftest.$ac_objext conftest$ac_exeext
     5155if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5156  (eval $ac_link) 2>conftest.er1
     5157  ac_status=$?
     5158  grep -v '^ *+' conftest.er1 >conftest.err
     5159  rm -f conftest.er1
     5160  cat conftest.err >&5
     5161  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5162  (exit $ac_status); } &&
     5163         { ac_try='test -z "$ac_c_werror_flag"
     5164                         || test ! -s conftest.err'
     5165  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5166  (eval $ac_try) 2>&5
     5167  ac_status=$?
     5168  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5169  (exit $ac_status); }; } &&
     5170         { ac_try='test -s conftest$ac_exeext'
     5171  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5172  (eval $ac_try) 2>&5
     5173  ac_status=$?
     5174  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5175  (exit $ac_status); }; }; then
     5176  ac_cv_lib_SDL_main=yes
     5177else
     5178  echo "$as_me: failed program was:" >&5
     5179sed 's/^/| /' conftest.$ac_ext >&5
     5180
     5181ac_cv_lib_SDL_main=no
     5182fi
     5183rm -f conftest.err conftest.$ac_objext \
     5184      conftest$ac_exeext conftest.$ac_ext
     5185LIBS=$ac_check_lib_save_LIBS
     5186fi
     5187echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_main" >&5
     5188echo "${ECHO_T}$ac_cv_lib_SDL_main" >&6
     5189if test $ac_cv_lib_SDL_main = yes; then
     5190  FOUND_SDL=yes
     5191fi
     5192
     5193        if test "$FOUND_SDL" = "yes" ; then
     5194                LIBS="$LIBS -lSDL"
     5195        fi
     5196#   checking for Windows sdl library
     5197else
     5198    echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
     5199echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
     5200if test "${ac_cv_lib_sdlmain_main+set}" = set; then
     5201  echo $ECHO_N "(cached) $ECHO_C" >&6
     5202else
     5203  ac_check_lib_save_LIBS=$LIBS
     5204LIBS="-lsdlmain  $LIBS"
     5205cat >conftest.$ac_ext <<_ACEOF
     5206/* confdefs.h.  */
     5207_ACEOF
     5208cat confdefs.h >>conftest.$ac_ext
     5209cat >>conftest.$ac_ext <<_ACEOF
     5210/* end confdefs.h.  */
     5211
     5212
     5213int
     5214main ()
     5215{
     5216main ();
     5217  ;
     5218  return 0;
     5219}
     5220_ACEOF
     5221rm -f conftest.$ac_objext conftest$ac_exeext
     5222if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5223  (eval $ac_link) 2>conftest.er1
     5224  ac_status=$?
     5225  grep -v '^ *+' conftest.er1 >conftest.err
     5226  rm -f conftest.er1
     5227  cat conftest.err >&5
     5228  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5229  (exit $ac_status); } &&
     5230         { ac_try='test -z "$ac_c_werror_flag"
     5231                         || test ! -s conftest.err'
     5232  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5233  (eval $ac_try) 2>&5
     5234  ac_status=$?
     5235  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5236  (exit $ac_status); }; } &&
     5237         { ac_try='test -s conftest$ac_exeext'
     5238  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5239  (eval $ac_try) 2>&5
     5240  ac_status=$?
     5241  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5242  (exit $ac_status); }; }; then
     5243  ac_cv_lib_sdlmain_main=yes
     5244else
     5245  echo "$as_me: failed program was:" >&5
     5246sed 's/^/| /' conftest.$ac_ext >&5
     5247
     5248ac_cv_lib_sdlmain_main=no
     5249fi
     5250rm -f conftest.err conftest.$ac_objext \
     5251      conftest$ac_exeext conftest.$ac_ext
     5252LIBS=$ac_check_lib_save_LIBS
     5253fi
     5254echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
     5255echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
     5256if test $ac_cv_lib_sdlmain_main = yes; then
     5257  FOUND_sdlmain=yes
     5258fi
     5259
     5260    if test "$FOUND_sdlmain" = "yes" ; then
     5261        LIBS="$LIBS -lsdlmain"
     5262    fi
     5263        echo "$as_me:$LINENO: checking for main in -lsdl" >&5
     5264echo $ECHO_N "checking for main in -lsdl... $ECHO_C" >&6
     5265if test "${ac_cv_lib_sdl_main+set}" = set; then
     5266  echo $ECHO_N "(cached) $ECHO_C" >&6
     5267else
     5268  ac_check_lib_save_LIBS=$LIBS
     5269LIBS="-lsdl  $LIBS"
     5270cat >conftest.$ac_ext <<_ACEOF
     5271/* confdefs.h.  */
     5272_ACEOF
     5273cat confdefs.h >>conftest.$ac_ext
     5274cat >>conftest.$ac_ext <<_ACEOF
     5275/* end confdefs.h.  */
     5276
     5277
     5278int
     5279main ()
     5280{
     5281main ();
     5282  ;
     5283  return 0;
     5284}
     5285_ACEOF
     5286rm -f conftest.$ac_objext conftest$ac_exeext
     5287if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5288  (eval $ac_link) 2>conftest.er1
     5289  ac_status=$?
     5290  grep -v '^ *+' conftest.er1 >conftest.err
     5291  rm -f conftest.er1
     5292  cat conftest.err >&5
     5293  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5294  (exit $ac_status); } &&
     5295         { ac_try='test -z "$ac_c_werror_flag"
     5296                         || test ! -s conftest.err'
     5297  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5298  (eval $ac_try) 2>&5
     5299  ac_status=$?
     5300  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5301  (exit $ac_status); }; } &&
     5302         { ac_try='test -s conftest$ac_exeext'
     5303  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5304  (eval $ac_try) 2>&5
     5305  ac_status=$?
     5306  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5307  (exit $ac_status); }; }; then
     5308  ac_cv_lib_sdl_main=yes
     5309else
     5310  echo "$as_me: failed program was:" >&5
     5311sed 's/^/| /' conftest.$ac_ext >&5
     5312
     5313ac_cv_lib_sdl_main=no
     5314fi
     5315rm -f conftest.err conftest.$ac_objext \
     5316      conftest$ac_exeext conftest.$ac_ext
     5317LIBS=$ac_check_lib_save_LIBS
     5318fi
     5319echo "$as_me:$LINENO: result: $ac_cv_lib_sdl_main" >&5
     5320echo "${ECHO_T}$ac_cv_lib_sdl_main" >&6
     5321if test $ac_cv_lib_sdl_main = yes; then
     5322  FOUND_sdl=yes
     5323fi
     5324
     5325        if test "$FOUND_sdl" = "yes" ; then
     5326                LIBS="$LIBS -lsdl"
     5327        fi
     5328fi
     5329
     5330#checking for pthread libs
     5331echo "$as_me:$LINENO: checking for main in -lpthread" >&5
     5332echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
     5333if test "${ac_cv_lib_pthread_main+set}" = set; then
     5334  echo $ECHO_N "(cached) $ECHO_C" >&6
     5335else
     5336  ac_check_lib_save_LIBS=$LIBS
     5337LIBS="-lpthread  $LIBS"
     5338cat >conftest.$ac_ext <<_ACEOF
     5339/* confdefs.h.  */
     5340_ACEOF
     5341cat confdefs.h >>conftest.$ac_ext
     5342cat >>conftest.$ac_ext <<_ACEOF
     5343/* end confdefs.h.  */
     5344
     5345
     5346int
     5347main ()
     5348{
     5349main ();
     5350  ;
     5351  return 0;
     5352}
     5353_ACEOF
     5354rm -f conftest.$ac_objext conftest$ac_exeext
     5355if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5356  (eval $ac_link) 2>conftest.er1
     5357  ac_status=$?
     5358  grep -v '^ *+' conftest.er1 >conftest.err
     5359  rm -f conftest.er1
     5360  cat conftest.err >&5
     5361  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5362  (exit $ac_status); } &&
     5363         { ac_try='test -z "$ac_c_werror_flag"
     5364                         || test ! -s conftest.err'
     5365  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5366  (eval $ac_try) 2>&5
     5367  ac_status=$?
     5368  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5369  (exit $ac_status); }; } &&
     5370         { ac_try='test -s conftest$ac_exeext'
     5371  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5372  (eval $ac_try) 2>&5
     5373  ac_status=$?
     5374  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5375  (exit $ac_status); }; }; then
     5376  ac_cv_lib_pthread_main=yes
     5377else
     5378  echo "$as_me: failed program was:" >&5
     5379sed 's/^/| /' conftest.$ac_ext >&5
     5380
     5381ac_cv_lib_pthread_main=no
     5382fi
     5383rm -f conftest.err conftest.$ac_objext \
     5384      conftest$ac_exeext conftest.$ac_ext
     5385LIBS=$ac_check_lib_save_LIBS
     5386fi
     5387echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
     5388echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
     5389if test $ac_cv_lib_pthread_main = yes; then
     5390  FOUND_pthread=yes
     5391fi
     5392
     5393if test "$FOUND_pthread" = "yes" ; then
     5394    LIBS="$LIBS -lpthread"
     5395fi
     5396
     5397
     5398
    49025399
    49035400# FIXME: Replace `main' with a function in `-lm':
Note: See TracChangeset for help on using the changeset viewer.